/* $Log:	opentfmfile.c,v $
 * Revision 0.8  92/11/23  19:46:51  19:46:51  bt (Bo Thide')
 * Fixed resolution bug. Portable downloading. Added/changed options. PJXL color support
 * 
 * Revision 0.7  92/11/13  02:41:35  02:41:35  bt (Bo Thide')
 * More bug fixes and improvements. Support for PaintJet XL
 * 
 * Revision 0.6  92/11/10  21:48:33  21:48:33  bt (Bo Thide')
 * Bug fixes. Added -R option. Better font handling.
 * 
 * Revision 0.5  92/11/09  16:25:39  16:25:39  bt (Bo Thide')
 * Rewrite of dospecial.c. Extended \special support
 * 
 * Revision 0.4  92/11/08  02:45:55  02:45:55  bt (Bo Thide')
 * Changed to portable bit manipulations. Replaced strrstr for non-POSIX compliant C. Fixed numerous bugs. Added support for more \special's.
 * 
 * Revision 0.3  92/08/24  12:45:46  12:45:46  bt (Bo Thide')
 * Fixed 8 bit (dc font) support.
 * 
 * Revision 0.2  92/08/23  17:28:58  17:28:58  bt (Bo Thide')
 * Source cleaned up.  Changed certain function calls.  Removed globals.
 * 
 * Revision 0.1  92/08/22  23:58:48  23:58:48  bt (Bo Thide')
 * First Release.
 *  */

#include <stdio.h>
#include "globals.h"
#include "paths.h"

static char rcsid[] = "$Header: opentfmfile.c,v 0.8 92/11/23 19:46:51 bt Exp $";

FILE *opentfmfile(tfmname)
char     tfmname[];
{ 
	FILE	*fileptr;
	char	*fptr,*nptr,*pptr;

	nptr = &names[font->name];
	fptr = tfmname;
	pptr = tfmpath;
	if(*nptr)
		while(*nptr)
			*fptr++ = *nptr++;
	else
		while(*pptr)
			*fptr++ = *pptr++;
	nptr++;
	sprintf(fptr,"%s.tfm",nptr);
	if((fileptr = fopen(tfmname,"r")) == NULL) { 
		fprintf(stderr,"Cannot open the input .tfm file %s\n",tfmname);
		fclose(fileptr);
		fprintf(stderr,"Substituting the default %s\n", defaulttfm);
		fileptr = fopen(defaulttfm,"r");
	}
	return(fileptr);
}
